Skip to main content
GET
/
project
/
v1
/
planned-tasks
List planned tasks
curl --request GET \
  --url https://api-{region}.sesametime.com/project/v1/planned-tasks \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "accumulatedSeconds": 1200,
      "description": "This is a description for the planned task",
      "endDate": "2025-01-01",
      "endTime": "10:50",
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "numComments": 1200,
      "projectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "startDate": "2023-12-25",
      "startTime": "16:00"
    }
  ],
  "meta": {
    "currentPage": 1,
    "lastPage": 1,
    "total": 1,
    "perPage": 1
  }
}

Authorizations

Authorization
string
header
required

API token obtained from Sesame HR Dashboard > Settings > Integrations > API

Query Parameters

id
string

id of the planned task

description
string

description of the planned task

projectIds
string<uuid>[]

Find Planned tasks by project Ids

page
integer

Request a specific page

limit
integer

Limit results

orderBy
string

field1 asc, field2 desc

Response

200 - application/json

Object

data
object[]
meta
object